Bug 971006 - set_timeout method of Notification instance doesn’t have any effect.
Summary: set_timeout method of Notification instance doesn’t have any effect.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libnotify   
(Show other bugs)
Version: 7.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jasper St. Pierre
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 12:48 UTC by Matěj Cepl
Modified: 2014-08-27 02:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 13:43:30 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (481 bytes, text/plain)
2013-06-05 12:48 UTC, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 701645 None None None Never

Description Matěj Cepl 2013-06-05 12:48:56 UTC
Created attachment 757181 [details]
reproducer

Description of problem:
When running the attached script the notification hides after roughly five seconds (which is default, right?). Using Ctrl-C (and obtained time measurement) I can clearly see that the script runs more than 5s and less than 12s even after the notifications hides.

From looking at gnome-shell/us/js/notificationDaemon.js it seems to me that the timeout parameter is on line 412 assigned to ndata object, but I cannot find anywhere in the rest of gnome-shell that this parameter would be used (the code of messageTray.js is so convoluted, that I am not sure I haven't lost it somewhere though).

Version-Release number of selected component (if applicable):
libnotify-0.7.5-5.el7.x86_64
gnome-shell-3.8.2-4.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.run the attached script
2.
3.

Actual results:
notification hides after roughly 5s

Expected results:
it should hide exactly (more or less) after 12s

Additional info:

Comment 1 Matěj Cepl 2013-06-05 12:50:12 UTC
I also see https://bugzilla.gnome.org/show_bug.cgi?id=658189, but that's against notification-daemon, which is now dead, AFAIK. Is it that the problem just got transferred with rewrite of notification-daemon into Javascript?

Comment 3 Matěj Cepl 2013-10-16 13:43:30 UTC
Upstream decided (in https://bugzilla.gnome.org/show_bug.cgi?id=701645) that this basically isn't a bug.

Closing as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.